<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Calendar extends Model
{
    use HasFactory;

    protected $fillable = [
        'course_id',
        'court_id',
        'instructor_id',
        'from',
        'to',
        'note',
        'motivation_id',
        'status',
        'course_type_id',
        'course_duration_id',
        'course_frequency_id',
        'course_level_id',
        'manual',
        'motivation_manual_id'
    ];

    public function course()
    {
        return $this->belongsTo(\App\Models\Course::class);
    }

    public function motivation()
    {
        return $this->belongsTo(\App\Models\Motivation::class);
    }
}
